#ifndef __FBINIT_H_INCLUDED
#define __FBINIT_H_INCLUDED

#include "wintype.h"

typedef struct tagFBINFO {
  UINT32 width;
  UINT32 height;
  UINT32 virtual_width;
  UINT32 virtual_height;
  UINT32 bpp;
  UINT32 linebytes;
  UINT32 screenbytes;
  UINT16 red_offset;
  UINT16 red_length;
  UINT16 red_mask;
  UINT16 green_offset;
  UINT16 green_length;
  UINT16 green_mask;
  UINT16 blue_offset;
  UINT16 blue_length;
  UINT16 blue_mask;
} FBINFO;
typedef const FBINFO * const PCFBINFO;

extern PCFBINFO Fb_Info;
extern UINT16 *Fb_Ptr;

extern HRESULT Fb_setup(void);
extern void Fb_cleanup(void);
extern void Fb_clear(void);

#endif /* __FBINIT_H_INCLUDED */
